Projection Class Reference

`#include <Projection.h>`

## Public Member Functions

| Projection ()
void | reset (const Partition &partition, int set)
void | reset (const vector< size_t > &inverseProjections)
void | setToIdentity (size_t varCount)
size_t | getRangeVarCount () const
size_t | getDomainVar (size_t rangeVar)
void | project (Exponent *to, const Exponent *from) const
void | inverseProject (Term &to, const Exponent *from) const
size_t | inverseProjectVar (size_t rangeVar) const
void | swap (Projection &projection)
void | print (FILE *file) const
bool | domainVarHasProjection (size_t var) const

## Private Member Functions

void | updateHasProjections ()

## Private Attributes

vector< size_t > | _offsets
vector< int > | _domainVarHasProjection

## Detailed Description

Definition at line 29 of file Projection.h.

## Constructor & Destructor Documentation

## Projection()

Projection::Projection | ( |  | ) |

inline

Definition at line 31 of file Projection.h.

## Member Function Documentation

## domainVarHasProjection()

bool Projection::domainVarHasProjection | ( | size_t | var | ) | const

Definition at line 89 of file Projection.cpp.

## getDomainVar()

size_t Projection::getDomainVar | ( | size_t | rangeVar | ) |

Definition at line 67 of file Projection.cpp.

## getRangeVarCount()

size_t Projection::getRangeVarCount | ( |  | ) | const

Definition at line 24 of file Projection.cpp.

## inverseProject()

void Projection::inverseProject | ( | Term & | to,
|  | const Exponent * | from ) const

Definition at line 78 of file Projection.cpp.

## inverseProjectVar()

size_t Projection::inverseProjectVar | ( | size_t | rangeVar | ) | const

Definition at line 84 of file Projection.cpp.

## print()

void Projection::print | ( | FILE * | file | ) | const

Definition at line 104 of file Projection.cpp.

## project()

void Projection::project | ( | Exponent * | to,
|  | const Exponent * | from ) const

Definition at line 72 of file Projection.cpp.

## reset() [1/2]

void Projection::reset | ( | const Partition & | partition,
|  | int | set )

Definition at line 28 of file Projection.cpp.

## reset() [2/2]

void Projection::reset | ( | const vector< size_t > & | inverseProjections | ) |

Definition at line 54 of file Projection.cpp.

## setToIdentity()

void Projection::setToIdentity | ( | size_t | varCount | ) |

Definition at line 59 of file Projection.cpp.

## swap()

void Projection::swap | ( | Projection & | projection | ) |

Definition at line 111 of file Projection.cpp.

## updateHasProjections()

void Projection::updateHasProjections | ( |  | ) |

private

Definition at line 116 of file Projection.cpp.

## Member Data Documentation

## _domainVarHasProjection

vector<int> Projection::_domainVarHasProjection

mutable private

Definition at line 56 of file Projection.h.

## _offsets

vector<size_t> Projection::_offsets

private

Definition at line 55 of file Projection.h.

The documentation for this class was generated from the following files:

- src/Projection.h
- src/Projection.cpp